/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprequalification.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工程客户管理Entity
 * @author 丁旭
 * @version 2017-05-25
 */
public class WorkProjectLinkman extends DataEntity<WorkProjectLinkman> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 联系人姓名
	private String position;		// 职务
	private String qq;		// QQ
	private String linkPhone;		// 联系人电话
	private String linkMobile;		// 联系人手机
	private String email;		// E-mail
	private String isDefault;		// 是否默认联系人
	private String clientId;		// 外键关联客户表 父类
	private String projectId;		// 外键关联工程表（资格预审）
	
	public WorkProjectLinkman() {
		super();
	}

	public WorkProjectLinkman(String id){
		super(id);
	}

	
	@ExcelField(title="联系人姓名", align=2, sort=1)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="职务", align=2, sort=2)
	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}
	
	@ExcelField(title="QQ", align=2, sort=3)
	public String getQq() {
		return qq;
	}

	public void setQq(String qq) {
		this.qq = qq;
	}
	
	@ExcelField(title="联系人电话", align=2, sort=4)
	public String getLinkPhone() {
		return linkPhone;
	}

	public void setLinkPhone(String linkPhone) {
		this.linkPhone = linkPhone;
	}
	
	@ExcelField(title="联系人手机", align=2, sort=5)
	public String getLinkMobile() {
		return linkMobile;
	}

	public void setLinkMobile(String linkMobile) {
		this.linkMobile = linkMobile;
	}
	
	@ExcelField(title="E-mail", align=2, sort=6)
	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}
	
	@ExcelField(title="是否默认联系人", align=2, sort=7)
	public String getIsDefault() {
		return isDefault;
	}

	public void setIsDefault(String isDefault) {
		this.isDefault = isDefault;
	}
	
	public String getClientId() {
		return clientId;
	}

	public void setClientId(String clientId) {
		this.clientId = clientId;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
}